Bug 5142 - Switch to branding-config package as a single source of branding strings
: Switch to branding-config package as a single source of branding strings
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-03-05 14:51 MSK by Denis Silakov
Modified: 2015-03-16 12:10 MSK (History)
2 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
denis.silakov: published+


Attachments
ss (99.80 KB, image/png)
2015-03-10 14:07 MSK, Vladimir Potapov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Denis Silakov 2015-03-05 14:51:13 MSK
Currently we have several places where distribution name/version/release notes/etc. are mentioned - indexhtml package, /etc/lsb-release file from lsb-release package and rosa-release* packages.

In certified editions, we have switched to a new branding-configs packages. Now we should switch to these packages in Fresh.
Comment 1 Denis Silakov 2015-03-05 14:56:29 MSK
Advisory:
Switched to branding-configs packages as a unified source of branding strings.

Build lists:
(branding-configs)
https://abf.io/build_lists/2451603
https://abf.io/build_lists/2451604

(lsb-release)
https://abf.io/build_lists/2451168
https://abf.io/build_lists/2451169

Note for testers:
If you add these containers and run "urpmi --auto-update", urpmi should update lsb-release, install branding-configs-common and branding-configs-fresh and remove indexhtml, rosa-release-common and rosa-release-EE packages (or rosa-release-Free, if you have this package installed). From user point of view, no hcnages should appear - for example, home page in Firefox should redirect to wiki of Fresh R5.
Comment 2 FirstLevel 2015-03-06 09:31:23 MSK
Update goes well for 32 and 64 bit.
After update and reboot I have openned firefox and start page is http://wiki.rosalab.ru/ru/index.php/ROSA_Desktop_Fresh_R5
Comment 3 Vladimir Potapov 2015-03-10 14:07:17 MSK
Created attachment 3790 [details]
ss

After update, start page don't load without Internet. It's regression
Comment 4 Vladimir Potapov 2015-03-10 14:11:47 MSK
(In reply to comment #3)
> Created attachment 3790 [details]
> ss
> 
> After update, start page don't load without Internet. It's regression

******************
QA Denied
Comment 5 Denis Silakov 2015-03-12 15:54:10 MSK
Please try these build lists:

(branding-configs)
https://abf.io/build_lists/2470087
https://abf.io/build_lists/2470088

(lsb-release)
https://abf.io/build_lists/2451168
https://abf.io/build_lists/2451169
Comment 6 Vladimir Potapov 2015-03-12 17:57:33 MSK
After the update, FF don't redirect to R5 start page
Comment 7 Denis Silakov 2015-03-12 18:21:46 MSK
Indeed. New build lists:

(branding-configs)
https://abf.io/build_lists/2470192
https://abf.io/build_lists/2470193

(lsb-release)
https://abf.io/build_lists/2451168
https://abf.io/build_lists/2451169
Comment 8 Vladimir Potapov 2015-03-12 19:16:28 MSK
The update sent to expanded testing
***********************************
Comment 9 Vladimir Potapov 2015-03-16 11:15:50 MSK
branding-configs-2.0-75
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2470192/i586/main/release/
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2470193/x86_64/main/release/

lsb-release-2.0-49
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2451168/i586/main/release/
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2451169/x86_64/main/release/
*************************** Advisory *********************
Switched to branding-configs packages as a unified source of branding strings.
**********************************************************
QA Verified